Subject: [Pce] Comments on draft-wu-pce-dns-pce-discovery-00

From: Ning Kong <[email-masked]>
Date: Mon, 15 Jul 2013 00:10:36 +0800

Hi Qin,

I'm interested in the topic of this draft. Please see my rough feedbacks below.

IMO, it's not necessary to consider defining new RR types in section 4.3. You'd better try to use existing RR types (e.g. TXT, SRV, NAPTR) for path computation scope, PCE domains and Neighbor PCE domains.

Nits,
#1, in the last paragraph of Section 1.1
	complimentary should be corrected as complementary.

#2, in the first paragraph of Section 6
	RFC4641 should be updated by RFC6781.

Cheers,
Ning

---

From: Qin Wu <[email-masked]>
Date: Mon, 15 Jul 2013 01:35:26 +0000

Hi,Ning:
Thank for comments from DNS perspective.
Please see my reply inline below.

Regards!
-Qin
-----Original Message-----
From: Ning Kong [mailto:[email-masked]] 
Sent: Monday, July 15, 2013 12:11 AM
To: Qin Wu
Cc: [email-masked]
Subject: Comments on draft-wu-pce-dns-pce-discovery-00

Hi Qin,

[Qin]: Good point, that's what I am thinking as well. I think we can use NAPTR+SRV+A+TXT convention to get all the information we want.
DNS TXT record is best choice to get additional information than PCE IP address.

Nits,

[Qin]: Good catch.

[Qin]:Agree, thanks.

Cheers,
Ning